MWAWFontManagerInternal::State Struct Reference

the state of a MWAWFontManager More...

## Public Member Functions

| State (std::shared_ptr< MWAWFontConverter > const &fontConverter)
| constructor

## Public Attributes

std::shared_ptr< MWAWFontConverter > | m_fontConverter
| the font converter
FontToIdMap | m_fontToSpanIdMap
| a map font to id map (used to retrieve span id)
std::map< int, MWAWFont > | m_idToFontMap
| a map id to font map

## Detailed Description

the state of a MWAWFontManager

## Constructor & Destructor Documentation

## State()

MWAWFontManagerInternal::State::State | ( | std::shared_ptr< MWAWFontConverter > const & | fontConverter | ) |

inline explicit

constructor

## Member Data Documentation

## m_fontConverter

std::shared_ptr<MWAWFontConverter> MWAWFontManagerInternal::State::m_fontConverter

the font converter

Referenced by State().

## m_fontToSpanIdMap

FontToIdMap MWAWFontManagerInternal::State::m_fontToSpanIdMap

a map font to id map (used to retrieve span id)

Referenced by State().

## m_idToFontMap

std::map<int, MWAWFont> MWAWFontManagerInternal::State::m_idToFontMap

a map id to font map

Referenced by State().

The documentation for this struct was generated from the following file:

- MWAWFont.cxx